import {
	removeConfig
} from './http.js';

export function checkLogin() {
	let token = uni.getStorageSync('token');
	let expires_time = uni.getStorageSync('expires_time');
	let mobile = uni.getStorageSync('userMobile');
	let flag = true;
	if (token === '') {
		uni.showToast({
			title: '请先登录',
			icon: 'none',
			mask: true
		});
		flag = false;
	} else if (expires_time === undefined || expires_time === '') {
		removeConfig();
		uni.showToast({
			title: '登录失效，请重新登录',
			icon: 'none',
			mask: true
		});
		flag = false;
	} else if (mobile === undefined || mobile === '') {
		removeConfig();
		uni.showToast({
			title: '登录失效，请重新登录',
			icon: 'none',
			mask: true
		});
		flag = false;
	} else {
		let date = (new Date()).getTime();
		let expires_timestamp = Date.parse(expires_time);
		if (date > expires_timestamp) {
			removeConfig();
			uni.showToast({
				title: '登录失效，请重新登录',
				icon: 'none',
				mask: true
			});
			flag = false;
		}
	}
	if (!flag) {
		setTimeout(function() {
			uni.navigateTo({
				url: "/pages/user/login"
			});
		}, 1500);
	}
	return flag;
}
export function checkLoginWithoutLogin(){
	let token = uni.getStorageSync('token');
	let expires_time = uni.getStorageSync('expires_time');
	let mobile = uni.getStorageSync('userMobile');
	let flag = true;
	if (token === '') {
		flag = false;
	} else if (expires_time === undefined || expires_time === '') {
		removeConfig();
		flag = false;
	} else if (mobile === undefined || mobile === '') {
		removeConfig();
		flag = false;
	} else {
		let date = (new Date()).getTime();
		let expires_timestamp = Date.parse(expires_time);
		if (date > expires_timestamp) {
			removeConfig();
			flag = false;
		}
	}
	return flag;
}